/*
 * Copyright (c) 2016 Spotify AB.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.spotify.helios.testing;

import com.spotify.helios.common.descriptors.JobId;

import java.io.OutputStream;

final class DefaultLogStreamProvider implements LogStreamProvider {

  @Override
  public OutputStream getStdoutStream(final JobId jobId, final String containerId) {
    return System.out;
  }

  @Override
  public OutputStream getStderrStream(final JobId jobId, final String containerId) {
    return System.err;
  }
}
